Bug 183100 - [patch update] multimedia/rtmpdump fix to build
[patch update] multimedia/rtmpdump fix to build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hiroki Sato
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 12:10 UTC by fbsd-ports
Modified: 2013-10-21 09:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.36 KB, patch)
2013-10-19 12:10 UTC, fbsd-ports
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fbsd-ports 2013-10-19 12:10:00 UTC
	multimedia/rtmpdump fails to build, see

	http://opsec.eu/backup/20131019-rtmpdump

How-To-Repeat: 	cd /usr/ports/multimedia/rtmpdump
	make
Comment 1 Edwin Groothuis freebsd_committer 2013-10-19 12:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-10-21 09:39:44 UTC
Author: hrs
Date: Mon Oct 21 08:39:36 2013
New Revision: 331102
URL: http://svnweb.freebsd.org/changeset/ports/331102

Log:
  Fix a build breakage when security/openssl is installed.
  
  PR:	ports/183100, ports/183061

Modified:
  head/multimedia/rtmpdump/Makefile
  head/multimedia/rtmpdump/files/patch-Makefile

Modified: head/multimedia/rtmpdump/Makefile
==============================================================================
--- head/multimedia/rtmpdump/Makefile	Mon Oct 21 08:34:26 2013	(r331101)
+++ head/multimedia/rtmpdump/Makefile	Mon Oct 21 08:39:36 2013	(r331102)
@@ -14,17 +14,13 @@ USES=		pkgconfig
 USE_LDCONFIG=	yes
 USE_OPENSSL=	yes
 MAKE_ENV=	THREADLIB="${PTHREAD_LIBS}"
-CFLAGS+=	${PTHREAD_CFLAGS}
+CFLAGS+=	${PTHREAD_CFLAGS} -I${OPENSSLINC}
+LDFLAGS+=	-L${OPENSSLLIB}
 PORTDOCS=	ChangeLog README
 
 OPTIONS_DEFINE=	DOCS
 
-.include <bsd.port.pre.mk>
-
-.if ${OPENSSLBASE} != "/usr"
-CFLAGS+=	-I${OPENSSLINC}
-LDFLAGS+=	-L${OPENSSLLIB}
-.endif
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MDOCS}
 post-install:
@@ -32,4 +28,4 @@ post-install:
 	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${STAGEDIR}${DOCSDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/rtmpdump/files/patch-Makefile
==============================================================================
--- head/multimedia/rtmpdump/files/patch-Makefile	Mon Oct 21 08:34:26 2013	(r331101)
+++ head/multimedia/rtmpdump/files/patch-Makefile	Mon Oct 21 08:39:36 2013	(r331102)
@@ -1,7 +1,7 @@
---- Makefile.orig	2010-07-01 04:58:35.000000000 +0900
-+++ Makefile	2010-08-01 01:26:30.000000000 +0900
+--- Makefile.orig	2013-10-07 03:52:05.000000000 +0900
++++ Makefile	2013-10-20 14:37:46.000000000 +0900
 @@ -1,9 +1,9 @@
- VERSION=v2.3
+ VERSION=v2.4
  
 -prefix=/usr/local
 +prefix=${PREFIX}
@@ -13,7 +13,7 @@
  
  SYS=posix
  #SYS=mingw
-@@ -20,8 +20,9 @@
+@@ -21,8 +21,9 @@
  
  DEF=-DRTMPDUMP_VERSION=\"$(VERSION)\" $(CRYPTO_DEF) $(XDEF)
  OPT=-O2
@@ -25,9 +25,9 @@
  
  bindir=$(prefix)/bin
  sbindir=$(prefix)/sbin
-@@ -37,7 +38,7 @@
- 
+@@ -41,7 +42,7 @@
  THREADLIB_posix=-lpthread
+ THREADLIB_darwin=-lpthread
  THREADLIB_mingw=
 -THREADLIB=$(THREADLIB_$(SYS))
 +THREADLIB?=$(THREADLIB_$(SYS))
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Hiroki Sato freebsd_committer 2013-10-21 09:39:57 UTC
State Changed
From-To: open->closed

Fixed in r331102.  Thank you for your report.